EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Credentials_CreateOrUpdateCredential',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Credential_Id',
    /* Description_Text        */ 'Creates a new credential or updates an existing one.'
GO

IF OBJECT_ID('[Credentials_CreateOrUpdateCredential]') IS NOT NULL DROP PROCEDURE [Credentials_CreateOrUpdateCredential]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Credentials_CreateOrUpdateCredential]
(
	@Credential_Name NVARCHAR(50),
    @CredentialType_Name VARCHAR(50),
    @Configuration_Xml XML,
    @AllowFunctionAccess_Indicator CHAR(1),
    @Credential_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	IF (@Credential_Id IS NULL)
	BEGIN
		INSERT INTO [Credentials] 
		(
            [Credential_Name],
            [CredentialType_Name],
            [Configuration_Xml],
            [AllowFunctionAccess_Indicator]
		)
		VALUES
		(
            @Credential_Name,
            @CredentialType_Name,
            @Configuration_Xml,
            COALESCE(@AllowFunctionAccess_Indicator, 'N')
		)
		SET @Credential_Id = SCOPE_IDENTITY()

	END
	ELSE
	BEGIN

		UPDATE [Credentials]
		   SET [Credential_Name] = @Credential_Name,
               [CredentialType_Name] = @CredentialType_Name,
               [Configuration_Xml] = @Configuration_Xml,
               [AllowFunctionAccess_Indicator] = COALESCE(@AllowFunctionAccess_Indicator, [AllowFunctionAccess_Indicator])
         WHERE [Credential_Id] = @Credential_Id

	END


END
GO

GRANT EXECUTE ON [Credentials_CreateOrUpdateCredential] TO [ProGetUser_Role]
