EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalUserGroups_GetUserGroups',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ExternalUserGroups_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified user group associations.'
GO

IF OBJECT_ID('[ExternalUserGroups_GetUserGroups]') IS NOT NULL DROP PROCEDURE [ExternalUserGroups_GetUserGroups]
GO

CREATE PROCEDURE [ExternalUserGroups_GetUserGroups]
(
	@UserDirectory_Id INT,
	@ExternalUser_Name NVARCHAR(200),
	@ExternalGroup_Name NVARCHAR(200)
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT * FROM [ExternalUserGroups_Extended]
	 WHERE [UserDirectory_Id] = @UserDirectory_Id
	   AND (@ExternalUser_Name IS NULL OR [ExternalUser_Name] = @ExternalUser_Name)
	   AND (@ExternalGroup_Name IS NULL OR [ExternalGroup_Name] = @ExternalGroup_Name)


END
GO

GRANT EXECUTE ON [ExternalUserGroups_GetUserGroups] TO [ProGetUser_Role]
GO
