EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetPackages_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ProGetPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the packages in a ProGet feed.'
GO

IF OBJECT_ID('[ProGetPackages_GetPackages]') IS NOT NULL DROP PROCEDURE [ProGetPackages_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetPackages_GetPackages]
(
	@Feed_Id INT,
	@Group_Name NVARCHAR(200) = NULL,
	@Package_Name NVARCHAR(200) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ProGetPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Group_Name IS NULL OR [Group_Name] = @Group_Name)
	   AND (@Package_Name IS NULL OR [Package_Name] = @Package_Name)

END
GO

GRANT EXECUTE ON [ProGetPackages_GetPackages] TO [ProGetUser_Role]
GO