EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_GetAllPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'RpmPackages,RpmPackageVersions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all package information.'
GO

IF OBJECT_ID('[RpmPackages_GetAllPackages]') IS NOT NULL DROP PROCEDURE [RpmPackages_GetAllPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_GetAllPackages]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [RpmPackages]
	 WHERE [Feed_Id] = @Feed_Id

	SELECT RPV.*
	  FROM [RpmPackageVersions] RPV
		   INNER JOIN [RpmPackages] RP
		           ON RP.[RpmPackage_Id] = RPV.[RpmPackage_Id]
	 WHERE RP.[Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [RpmPackages_GetAllPackages] TO [ProGetUser_Role]
GO